import React from 'react';
import { View } from '@tarojs/components';
import { Row, Col, Image, Icon } from '@antmjs/vantui';
import './style.less'

export default (props) => {
  const { data, onClick } = props;

  return (
    <View className="device-card">
      <View className="device-card-header">
        <Image
          width="64px"
          height="64px"
          src={data?.machineryThumb}
        />
      </View>
      <View className="device-card-body" onClick={onClick}>        
        <Row>
          <Col span={16}>
            <View className="device-card-title">{ data?.machineryName }</View>
            <View className="device-card-subtitle">{ data?.deviceNo }</View>
          </Col>
          <Col span={8}>
            <View className="device-card-title">{ data?.userName }</View>
            <View className="device-card-subtitle">{ data?.phone }</View>
          </Col>
        </Row>
      </View>
      <View className="device-card-footer">
        <Icon name="arrow" />
      </View>
    </View>

    // <Row>
    //   <Col span={4}>
    //   </Col>
    //   <Col span={10}>
    //     <View>{ data?.machineryName }</View>
    //     <View>{ data?.deviceNo }</View>
    //   </Col>
    //   <Col span={6}>
    //     <View>{ data?.userName }</View>
    //     <View>{ data?.phone }</View>
    //   </Col>
    //   <Col span={4}>
    //   </Col>
    // </Row>
  )

  // return (
  //   <Row>
  //     <Col span="4">
  //       { data?.deviceKind === 'feifang' ? '飞防' : '深松' }
  //     </Col>
  //     <Col span="6">
  //       { data?.deviceNo }
  //     </Col>
  //     <Col span="10">
  //       { data?.machineryName }
  //     </Col>
  //     <Col span="4">
  //       { data?.onlineStatus === 1 ? '在线' : '离线' }
  //     </Col>
  //   </Row>
  // )
}
